TestData	subroutine
	jsr	Init
	jsr	DrawBox

	ldy	#20
	jsr	HorizLine
	ldx	#$01
	ldy	#$01
	jsr	Cursor
	lda	#<DataDiso
	ldy	#>DataDiso
	jsr	Print

.lp
	jmp	.lp


TestLines	subroutine
	jsr	Init
	jsr	DrawBox
	jsr	ShowPanel
	jsr	TestText

	lda	#$01		; lines test
.lp
	sta	$ff
	ldx	#63
	stx	x2
	ldy	#100
	sty	y2
	ldx	#0
	ldy	$ff
	jsr	Line
	ldx	#64
	stx	x2
	ldx	#127
	ldy	$ff
	jsr	Line

	lda	$ff
	clc
	adc	#$04
	cmp	#$c9
	bne	.nz
	lda	#$01
.nz
	jmp	.lp


TestPlots	subroutine
	jsr	Init
	jsr	DrawBox
	jsr	ShowPanel
	jsr	TestText

	ldx	#0
	ldy	#1
.lp
	jsr	Plot
	inx
	bpl	.lp
	ldx	#0
	iny
	cpy	#199
	bne	.lp
	ldy	#1
	jmp	.lp


TestText	subroutine
	ldx	#$03		; load new commander & credits text
	ldy	#$0f
	jsr	Cursor
	lda	#<Text1
	ldy	#>Text1
	jsr	Print

	ldx	#$07		; ---- E L I T E ----
	ldy	#$01
	jsr	Cursor
	lda	#<TitleText
	ldy	#>TitleText
	jsr	Print

	rts


Text1
	dc.b	"Load New Commander (Y/N)?",13,13
	dc.b	"(C) D.Braben & I.Bell 1985",0
	
TitleText
	dc.b	"---- E L I T E ----",0

DataDiso
	dc.b	"        DATA ON DISO",13,13
	dc.b	"Distance:  2.4 Light Years",13,13
	dc.b	"Economy:Average Agricultural",13,13
	dc.b	"Government:Democracy",13,13
	dc.b	"Tech.Level:  8",13,13
	dc.b	"Population:4.1 Billion",13,13
	dc.b	"(Black Furry Felines)",13,13
	dc.b	"Gross Productivity:13120 M CR",13,13
	dc.b	"Average Radius: 6155 km",13,13
	dc.b	"This planet  is  mildly  noted",13
	dc.b	"for  its   ancient   Ma   Corn",13
	dc.b	"plantations   but   beset   by",13
	dc.b	"frequency solar activity.",0

